WP6PrefixData Class Reference documentation

Public Member Functions | Private Attributes | List of all members
WP6PrefixData Class Reference

`#include <WP6PrefixData.h>`

## Public Member Functions
| WP6PrefixData (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const int numPrefixIndices)
virtual | ~WP6PrefixData ()
const WP6PrefixDataPacket * | getPrefixDataPacket (const int prefixID) const
std::pair< MPDP_CIter, MPDP_CIter > | getPrefixDataPacketsOfType (const int type) const
unsigned short | getDefaultInitialFontPID () const

## Private Attributes
DPH | m_prefixDataPacketHash
MPDP | m_prefixDataPacketTypeHash
int | m_defaultInitialFontPID

## Constructor & Destructor Documentation

## ◆ WP6PrefixData()

WP6PrefixData::WP6PrefixData | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const int | numPrefixIndices
| ) |  |

## ◆ ~WP6PrefixData()

WP6PrefixData::~WP6PrefixData | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getDefaultInitialFontPID()

unsigned short WP6PrefixData::getDefaultInitialFontPID | ( |  | ) | const
| inline

## ◆ getPrefixDataPacket()

const WP6PrefixDataPacket * WP6PrefixData::getPrefixDataPacket | ( | const int | prefixID | ) | const

Referenced by WP6Listener::getPrefixDataPacket().

## ◆ getPrefixDataPacketsOfType()

std::pair< MPDP_CIter, MPDP_CIter > WP6PrefixData::getPrefixDataPacketsOfType | ( | const int | type | ) | const

Referenced by WP6Parser::parsePacket(), and WP6Parser::parsePackets().

## Member Data Documentation

## ◆ m_defaultInitialFontPID

int WP6PrefixData::m_defaultInitialFontPID
| private

Referenced by getDefaultInitialFontPID(), and WP6PrefixData().

## ◆ m_prefixDataPacketHash

DPH WP6PrefixData::m_prefixDataPacketHash
| private

Referenced by getPrefixDataPacket(), WP6PrefixData(), and ~WP6PrefixData().

## ◆ m_prefixDataPacketTypeHash

MPDP WP6PrefixData::m_prefixDataPacketTypeHash
| private

Referenced by getPrefixDataPacketsOfType(), and WP6PrefixData().

The documentation for this class was generated from the following files:

- WP6PrefixData.h
- WP6PrefixData.cpp